| Flutter Linux Embedder |

Public Attributes | List of all members
_FlBinaryMessengerInterface Struct Reference

`#include <fl_binary_messenger.h>`

## Public Attributes
GTypeInterface | parent_iface
void(* | set_message_handler_on_channel )(FlBinaryMessenger *messenger, const gchar *channel, FlBinaryMessengerMessageHandler handler, gpointer user_data, GDestroyNotify destroy_notify)
gboolean(* | send_response )(FlBinaryMessenger *messenger, FlBinaryMessengerResponseHandle *response_handle, GBytes *response, GError **error)
void(* | send_on_channel )(FlBinaryMessenger *messenger, const gchar *channel, GBytes *message, GCancellable *cancellable, GAsyncReadyCallback callback, gpointer user_data)
GBytes *(* | send_on_channel_finish )(FlBinaryMessenger *messenger, GAsyncResult *result, GError **error)
void(* | resize_channel )(FlBinaryMessenger *messenger, const gchar *channel, int64_t new_size)
void(* | set_warns_on_channel_overflow )(FlBinaryMessenger *messenger, const gchar *channel, bool warns)
void(* | shutdown )(FlBinaryMessenger *messenger)

## Detailed Description

Definition at line 73 of file fl_binary_messenger.h.

## Member Data Documentation

## ◆ parent_iface

GTypeInterface _FlBinaryMessengerInterface::parent_iface

Definition at line 74 of file fl_binary_messenger.h.

## ◆ resize_channel

void(* _FlBinaryMessengerInterface::resize_channel) (FlBinaryMessenger *messenger, const gchar *channel, int64_t new_size)

Definition at line 99 of file fl_binary_messenger.h.

## ◆ send_on_channel

void(* _FlBinaryMessengerInterface::send_on_channel) (FlBinaryMessenger *messenger, const gchar *channel, GBytes *message, GCancellable *cancellable, GAsyncReadyCallback callback, gpointer user_data)

Definition at line 88 of file fl_binary_messenger.h.

## ◆ send_on_channel_finish

GBytes*(* _FlBinaryMessengerInterface::send_on_channel_finish) (FlBinaryMessenger *messenger, GAsyncResult *result, GError **error)

Definition at line 95 of file fl_binary_messenger.h.

## ◆ send_response

gboolean(* _FlBinaryMessengerInterface::send_response) (FlBinaryMessenger *messenger, FlBinaryMessengerResponseHandle *response_handle, GBytes *response, GError **error)

Definition at line 83 of file fl_binary_messenger.h.

## ◆ set_message_handler_on_channel

void(* _FlBinaryMessengerInterface::set_message_handler_on_channel) (FlBinaryMessenger *messenger, const gchar *channel, FlBinaryMessengerMessageHandler handler, gpointer user_data, GDestroyNotify destroy_notify)

Definition at line 76 of file fl_binary_messenger.h.

## ◆ set_warns_on_channel_overflow

void(* _FlBinaryMessengerInterface::set_warns_on_channel_overflow) (FlBinaryMessenger *messenger, const gchar *channel, bool warns)

Definition at line 103 of file fl_binary_messenger.h.

## ◆ shutdown

void(* _FlBinaryMessengerInterface::shutdown) (FlBinaryMessenger *messenger)

Definition at line 107 of file fl_binary_messenger.h.

The documentation for this struct was generated from the following file:

- shell/platform/linux/public/flutter_linux/fl_binary_messenger.h